mscorlib 4.0.0.0 System.Object System.Collections.Concurrent.IProducerConsumerCollection<T> System.Collections.Generic.IEnumerable<T> System.Diagnostics.DebuggerDisplay("Count={Count}") System.Diagnostics.DebuggerTypeProxy(typeof(System.Collections.Generic.CollectionDebuggerView`1)) To be added. To be added.

Represents a thread-safe first in-first out (FIFO) collection.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added.

  For determining whether the collection contains any items, use of the property is recommended rather than retrieving the number of items from the property and comparing it to 0.

  Gets the number of elements contained in the .

- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<T>

  The enumeration represents a moment-in-time snapshot of the contents of the queue. It does not reflect any updates to the collection after was called. The enumerator is safe to use concurrently with reads from and writes to the queue.

  The enumerator returns the collection elements in the order in which they were added, which is FIFO order (first-in, first-out).

  Returns an enumerator that iterates through the .

  An enumerator for the contents of the .

- Property
  4.0.0.0
  System.Boolean To be added.

  For determining whether the collection contains any items, use of this property is recommended rather than retrieving the number of items from the property and comparing it to 0. However, as this collection is intended to be accessed concurrently, it may be the case that another thread will modify the collection after returns, thus invalidating the result.

  Gets a value that indicates whether the is empty.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the to an , starting at a particular index.

  The one-dimensional that is the destination of the elements copied from the . The must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether access to the is synchronized with the SyncRoot.

- Property
  4.0.0.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the . This property is not supported.

- Method
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that iterates through a collection.

  An that can be used to iterate through the collection.

- Method
  4.0.0.0
  T[] To be added.

  Copies the elements stored in the to a new array.

  A new array containing a snapshot of elements copied from the .

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.